package cn.zgfxrc.boot.common.core.entity.base;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author huanghs
 * @date 2022.2.21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ModelWithTenant<T extends Model<?>> extends Model<T> {
  private static final long serialVersionUID = 1L;

  @ApiModelProperty("租户id")
  private Long tenantId;
}
