package cn.zgfxrc.boot.upms.api.entity;

import cn.zgfxrc.boot.common.core.entity.base.BaseModelWithTenant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author huanghs@zgfxrc.cn
 * @date 2022.12.1
 */
@Data
@ApiModel("角色")
@EqualsAndHashCode(callSuper = true)
public class SysDept extends BaseModelWithTenant<SysDept> {
  @ApiModelProperty("部门名称")
  String name;

  @ApiModelProperty("排序值")
  Integer sort;

  @ApiModelProperty("父id")
  Long parentId;
}
