package cn.zgfxrc.boot.upms.api.entity;

import cn.zgfxrc.boot.common.core.entity.base.BaseModelWithTenant;
import cn.zgfxrc.boot.upms.api.enums.GroupUserType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author huanghs@zgfxrc.cn
 */
@Data
@ApiModel("组用户管理表")
@EqualsAndHashCode(callSuper = true)
public class SysGroupUser extends BaseModelWithTenant<SysGroupUser> {
  @ApiModelProperty("组id")
  private Long groupId;

  @ApiModelProperty("用户id")
  private Long userId;

  @ApiModelProperty("用户类型")
  private GroupUserType type;
}
