package cn.zgfxrc.boot.upms.api.entity;

import cn.zgfxrc.boot.common.core.entity.base.BaseModelWithTenant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@ApiModel("职位表")
@EqualsAndHashCode(callSuper = true)
public class SysPosition extends BaseModelWithTenant<SysPosition> {

  @ApiModelProperty("职位名称")
  String name;

  @ApiModelProperty("职位说明")
  String description;

  @ApiModelProperty("排序")
  Integer sort;
}
