package cn.zgfxrc.boot.upms.api.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author huanghs@zgfxrc.cn
 * @date 2021.11.3
 */
@Data
@ApiModel("用户角色关联表")
@EqualsAndHashCode(callSuper = true)
public class SysUserRole extends Model<SysUserRole> {
  @ApiModelProperty("用户id")
  Long userId;

  @ApiModelProperty("角色id")
  Long roleId;
}
