package cn.zgfxrc.boot.upms.api.entity.req;

import cn.zgfxrc.boot.upms.api.entity.SysGroup;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author huanghs@zgfxrc.cn
 * @date 2022.12.9
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class SysGroupReq extends SysGroup {
  @ApiModelProperty("主负责人id")
  Long primaryChargeUserId;

  @ApiModelProperty("次负责人ids")
  List<Long> secondaryChargeUserIds;

  @ApiModelProperty("成员ids")
  List<Long> userIds;
}
