package cn.zgfxrc.boot.upms.api.entity.res;

import cn.zgfxrc.boot.upms.api.entity.SysGroup;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author huanghs@zgfxrc.cn
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class SysGroupRes extends SysGroup {
  @ApiModelProperty("部门主负责人ids")
  Long primaryChargeUserId;

  @ApiModelProperty("部门主负责人name")
  String primaryChargeUserName;

  @ApiModelProperty("部门副负责人ids")
  List<Long> secondaryChargeUserIds;

  @ApiModelProperty("部门副负责人names")
  String secondaryChargeUserNames;
}
