package cn.zgfxrc.boot.upms.api.entity.res;

import cn.zgfxrc.boot.upms.api.entity.SysMenu;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
/**
 * @author huanghs@zgfxrc.cn
 * @date 2021.11.4
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class SysMenuRes extends SysMenu {
  @ApiModelProperty("子菜单列表")
  List<SysMenuRes> children;

  @ApiModelProperty("用于树形：选中的菜单ids")
  List<Long> checkedIds;

  @ApiModelProperty("用于树形：树数据")
  List<SysMenuTreeNode> tree;
}
