package cn.zgfxrc.boot.upms.biz.mapper;

import cn.zgfxrc.boot.common.mybatis.base.MpBaseMapper;
import cn.zgfxrc.boot.upms.api.entity.SysDict;
import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * @author huanghs@zgafxrc.cn
 */
@Mapper
public interface SysDictMapper extends MpBaseMapper<SysDict> {
  String TABLE_NAME = "sys_dict";
  /**
   * 列表查询
   *
   * @param queryWrapper 查询条件
   * @return 合同
   */
  @InterceptorIgnore(tenantLine = "true")
  @Select("select * from " + TABLE_NAME + " where is_delete=0 and ${ew.sqlSegment}")
  List<SysDict> getListIgnoreTenant(@Param("ew") Wrapper<SysDict> queryWrapper);
}
