package cn.zgfxrc.boot.common.core.entity.base;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author huanghs@zgfxrc.cn
 * @date 2021.11.1
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BaseModelWithTenant<T extends Model<?>> extends BaseModel<T> {
  private static final long serialVersionUID = 1L;

  @ApiModelProperty("租户id")
  private Long tenantId;
}
