package cn.zgfxrc.boot.common.feign;

import feign.FeignException;
import feign.Request;

import java.util.Collection;
import java.util.Map;

/**
 * @author huanghs
 * @date 2022.7.27
 */
public class FeignWrapException extends FeignException {
  Integer code;

  public FeignWrapException(
      int status,
      int code,
      String message,
      Request request,
      Map<String, Collection<String>> headers) {
    super(status, message, request, null, headers);
    this.code = code;
  }

  public Integer getCode() {
    return code;
  }
}
