package cn.zgfxrc.boot.upms.api.entity;

import cn.zgfxrc.boot.common.core.entity.base.BaseModelWithTenant;
import cn.zgfxrc.boot.common.core.entity.interfaces.AddGroup;
import cn.zgfxrc.boot.upms.api.enums.NotifyChannelType;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author huanghs@zgfxrc.cn
 * @date 2022.7.25
 */
@Data
@ApiModel("消息通知")
@EqualsAndHashCode(callSuper = true)
public class SysNotifyChannel extends BaseModelWithTenant<SysNotifyChannel> {
  @NotNull(message = "类型不能为空", groups = AddGroup.class)
  NotifyChannelType type;

  String config;
}
