package cn.zgfxrc.boot.upms.api.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author huanghs@zgfxrc.cn
 * @date 2021.11.2
 */
@Data
@ApiModel("套餐菜单关联表")
@EqualsAndHashCode(callSuper = true)
public class SysPackageMenu extends Model<SysPackageMenu> {
  @ApiModelProperty("套餐id")
  Long packageId;

  @ApiModelProperty("菜单id")
  Long menuId;
}
